// styling navbar 

.navbar-inverse {
    margin: 0;
    border-radius: 0;
    padding: 10px 0;

    .navbar-toggle {
        background: $white;
        border: 0;
        float: #{$direction-reverse};
        margin: 0;
        margin-#{$direction-reverse}: 20px;
        margin-top: 10px;

        span {
            background: $main-color !important;
        }

        &:focus {
            background: $main-color;
            border: 0;
            outline: 0;

            span {
                background: $white !important;
            }
        }
    }

    .flag-active {
        border-radius: 50%;
        border: 2px solid $third-color;
    }

    .flags {
        margin-top: 25px;
        margin-left: 20px;

        img {
            display: inline-block;
            margin-left: 5px;
            margin-right: 5px;
        }
    }

    @media #{$max-mobile} {}

    border:0;
    background: $white;

    @include shadow(0px, 10px, 25px, -10px, rgba(#000, 0.6));

    .navbar-collapse {}

    .navbar-nav {

        li a {
            padding-top: 25px;
            padding-bottom: 25px;
            color: $main-color;
            font-weight: bold;
            @include transition();

            &:hover,
            &:focus {
                color: darken($main-color, 5%);
            }

            @media #{$max-large} and #{$min-mobile} {
                padding-right: 5px;
                padding-left: 5px;
                font-size: 0.7rem;
            }

            @media #{$max-mobile} {
                padding: 10px 10px !important;
            }
        }

        button,
        select {
            margin-top: 15px;

            @media #{$max-mobile} {
                margin-top: 0;
            }
        }

        .form-control {
            background: transparent;
            border: 1px solid $main-color;
            outline: none;
            box-shadow: none;
            font-weight: bold;
            color: $main-color;
            border-radius: 0;

            @media #{$min-mobile} {
                margin-#{$direction-reverse}: 10px;
            }

            @media #{$max-mobile} {
                margin-top: 10px;
            }



        }

        select {
            width: 100px;
            height: 36px;
        }

        li {
            &.active a {
                background: transparent;
                color: $third-color;

                &:hover,
                &:focus {
                    background: transparent;
                    color: darken($third-color, 5%);
                }
            }


        }
    }

    // styling logo 
    .navbar-brand {
        img {
            width: 200px;

            @media #{$max-large} {
                width: 150px;
            }

            @media #{$max-mobile} {
                width: 100px;
            }
        }


    }
}

.navbar-inverse .navbar-nav>.open>a,
.navbar-inverse .navbar-nav>.open>a:focus,
.navbar-inverse .navbar-nav>.open>a:hover {
    background: transparent;
    color: darken($main-color, 5%);
}

@media (max-width: 767px) {

    .navbar-inverse .navbar-nav .open .dropdown-menu>li>a:focus,
    .navbar-inverse .navbar-nav .open .dropdown-menu>li>a:hover {
        color: $third-color;
        background-color: transparent;
    }
}

.affix {
    width: 100%;
    z-index: 999;
}
